package com.liquidnet.service.goblin.dto.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;
import java.util.List;

@Data
@EqualsAndHashCode
public class ArDataVo implements Cloneable {
    @ApiModelProperty(position = 1, value = "Spuvo")
    private List<GoblinGoodsInfoVo> goodsInfoVos;
    @ApiModelProperty(position = 2, value = "券vo")
    private List<TempCouponVo> tempCouponVos;


    private static final ArDataVo obj = new ArDataVo();

    public static ArDataVo getNew() {
        try {
            return (ArDataVo) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new ArDataVo();
        }
    }
}
